Name: x11-driver-input-vmmouse
Version: 12.9.0
Release: %mkrel 5
Summary: Xorg input driver for mice in VMware
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-input-vmmouse-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86} x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
The VMMouse driver enables support for the special VMMouse protocol
that is provided by VMware virtual machines to give absolute pointer
positioning.

Installing the driver will improve the user experience when using the
mouse to interact with the guest operating system. In particular, use of
the driver improves mouse "lag", provides mouse speed and acceleration
consistent with the user's host operating system, and enables the
auto-grab/ungrab feature in VMware products without requiring the VMware
toolbox application.


%prep
%setup -q -n xf86-input-vmmouse-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%{_libdir}/hal/hal-probe-vmmouse
%{_libdir}/xorg/modules/input/vmmouse_drv.la
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_bindir}/vmmouse_detect
%{_mandir}/man1/vmmouse_detect.*
%{_mandir}/man4/vmmouse.*
/lib/udev/rules.d/69-xorg-vmmouse.rules
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 12.9.0-5.mga3
+ Revision: 385966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 12.9.0-4.mga3
+ Revision: 289354
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 12.9.0-3.mga3
+ Revision: 256347
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 12.9.0-2.mga3
+ Revision: 252991
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 12.9.0-1.mga3
+ Revision: 249777
- new release

* Fri Mar 09 2012 tv <tv> 12.8.0-1.mga2
+ Revision: 222177
- new release

* Tue Dec 06 2011 tmb <tmb> 12.7.0-5.mga2
+ Revision: 177444
- submit to core/release

* Sat Oct 08 2011 tv <tv> 12.7.0-4.mga2
+ Revision: 153298
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 12.7.0-3.mga2
+ Revision: 153083
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 12.7.0-2.mga1
+ Revision: 64382
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 12.7.0-1.mga1
+ Revision: 63993
- new release

* Wed Feb 09 2011 ennael <ennael> 12.6.10-3.mga1
+ Revision: 49527
- imported package x11-driver-input-vmmouse

